public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/picard/
Date: Thu, 12 Mar 2020 15:36:02 +0000 (UTC)	[thread overview]
Message-ID: <1584027352.d77a4128aed718b38fcbbe0e8797577d327d646a.sping@gentoo> (raw)

commit:     d77a4128aed718b38fcbbe0e8797577d327d646a
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 12 15:33:23 2020 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Thu Mar 12 15:35:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d77a4128

media-sound/picard: 2.3.1 + py38

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.92, Repoman-2.3.20

 media-sound/picard/Manifest            |  1 +
 media-sound/picard/picard-2.3.1.ebuild | 73 ++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/media-sound/picard/Manifest b/media-sound/picard/Manifest
index 3ebc38c8398..7a49a731702 100644
--- a/media-sound/picard/Manifest
+++ b/media-sound/picard/Manifest
@@ -1 +1,2 @@
 DIST picard-2.1.3.tar.gz 2995390 BLAKE2B dcb81cad62aba7915aeff321775452cef70819194a76530eb96a0a7b0009f7185d7652f77d07bb795b24939a3feb56b73a59d7377574b2c8f09f406ca7a88d81 SHA512 f082216a1a669ba689725c93859116e8a56991861219adb0e7c6ed4e5d621055268652820688de762f55b8672f19ff01afe5ac1ab7f79a640ea381272de9516f
+DIST picard-2.3.1.tar.gz 3778379 BLAKE2B b829c29d95922e31479cea0c8bcb3294cd3751374e71f37d387a013529c294a695a2e2f4c8b73af5eeee2fa8f7423d24074bc18b7db130798411803c70a013ff SHA512 fb5ac4cbd02f4b832cb23e3c8b5881eeca04b7b101c015a97fc20c8e0e7871ad2098b750a0c486af958b2bf30221b0c28666313f768dc7d70389519dd795d9cd

diff --git a/media-sound/picard/picard-2.3.1.ebuild b/media-sound/picard/picard-2.3.1.ebuild
new file mode 100644
index 00000000000..86dadf0cab5
--- /dev/null
+++ b/media-sound/picard/picard-2.3.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_SINGLE_IMPL=1
+DISABLE_AUTOFORMATTING=true
+inherit distutils-r1 gnome2-utils readme.gentoo-r1 xdg
+
+DESCRIPTION="Cross-platform music tagger"
+HOMEPAGE="https://picard.musicbrainz.org"
+SRC_URI="https://musicbrainz.osuosl.org/pub/musicbrainz/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/PyQt5[declarative,gui,network,widgets,${PYTHON_MULTI_USEDEP}]
+	')
+	dev-qt/qtgui:5
+	>=media-libs/mutagen-1.38"
+DEPEND="
+	nls? ( dev-qt/linguist-tools:5 )
+"
+
+RESTRICT="test" # doesn't work with ebuilds
+
+S="${WORKDIR}/${PN}-release-${PV}"
+
+python_compile() {
+	local build_args=(
+		--disable-autoupdate
+	)
+	if ! use nls; then
+		build_args+=( --disable-locales )
+	fi
+	distutils-r1_python_compile ${build_args[@]}
+}
+
+python_install() {
+	local install_args=(
+		--disable-autoupdate
+		--skip-build
+	)
+	if ! use nls; then
+		install_args+=( --disable-locales )
+	fi
+	distutils-r1_python_install ${install_args[@]}
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	local DOC_CONTENTS="Install optional package media-libs/chromaprint[tools] to enable
+calculation and lookup of AcoustID fingerprints.
+
+Install optional package dev-python/python-discid to enable
+calculation and lookup of compact disc identifiers (disc IDs).
+
+If you are upgrading Picard and it does not start, try removing
+Picard's settings:
+	rm ~/.config/MusicBrainz/Picard.conf"
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+	xdg_pkg_postinst
+}


             reply	other threads:[~2020-03-12 15:36 UTC|newest]

Thread overview: 133+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-12 15:36 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-19 19:32 [gentoo-commits] repo/gentoo:master commit in: media-sound/picard/ Miroslav Šulc
2025-04-18 22:28 Andreas Sturmlechner
2025-04-18 22:28 Andreas Sturmlechner
2025-02-17 18:37 Miroslav Šulc
2025-02-08  9:20 Miroslav Šulc
2025-02-06 19:29 Miroslav Šulc
2025-01-14 18:48 Andreas Sturmlechner
2024-10-06  7:31 Miroslav Šulc
2024-10-05  8:19 Arthur Zamarin
2024-10-05  7:10 Michał Górny
2024-09-29  7:59 Miroslav Šulc
2024-09-28  9:44 Arthur Zamarin
2024-09-28  9:44 Arthur Zamarin
2024-09-17  9:39 Miroslav Šulc
2024-09-04  9:52 Miroslav Šulc
2024-08-28  8:33 Miroslav Šulc
2024-08-14 10:03 Miroslav Šulc
2024-07-30  9:48 Miroslav Šulc
2024-07-29 13:27 Arthur Zamarin
2024-07-29 10:38 Sam James
2024-06-27  9:29 Miroslav Šulc
2024-02-27 10:44 Miroslav Šulc
2024-02-26 18:29 Jakov Smolić
2024-02-26 18:29 Jakov Smolić
2024-01-26  8:16 Miroslav Šulc
2023-12-28  9:39 Miroslav Šulc
2023-12-28  9:35 Miroslav Šulc
2023-12-28  9:31 Miroslav Šulc
2023-12-06 15:30 Arthur Zamarin
2023-12-06 12:39 Miroslav Šulc
2023-12-06 12:37 Miroslav Šulc
2023-10-14  8:45 Sam James
2023-10-12  8:12 Miroslav Šulc
2023-09-16 12:36 Miroslav Šulc
2023-09-16 12:25 Sam James
2023-09-16 12:25 Sam James
2023-09-13  7:57 Miroslav Šulc
2023-08-27  6:38 Miroslav Šulc
2023-08-26 13:47 Arthur Zamarin
2023-08-26 13:45 Sam James
2023-08-17  5:16 Miroslav Šulc
2023-07-27  6:32 Miroslav Šulc
2023-07-27  6:32 Miroslav Šulc
2023-06-03  3:23 Sam James
2023-01-09  7:16 Miroslav Šulc
2023-01-08 17:00 Arthur Zamarin
2023-01-08 17:00 Arthur Zamarin
2022-12-26  7:57 Miroslav Šulc
2022-12-24 10:25 Sam James
2022-12-24 10:12 Arthur Zamarin
2022-12-07  8:07 Miroslav Šulc
2022-11-24  7:28 Miroslav Šulc
2022-09-24  5:06 Miroslav Šulc
2022-09-23  7:04 Agostino Sarubbo
2022-09-22  8:05 Jakov Smolić
2022-08-22  2:53 Miroslav Šulc
2022-08-13  4:05 Miroslav Šulc
2022-08-12 11:55 Agostino Sarubbo
2022-08-09  7:43 Agostino Sarubbo
2022-07-08 11:09 Miroslav Šulc
2022-07-08  8:55 Miroslav Šulc
2022-07-08  6:45 Agostino Sarubbo
2022-07-08  6:43 Agostino Sarubbo
2022-07-08  4:03 Miroslav Šulc
2022-06-27  3:36 Miroslav Šulc
2022-06-26  8:47 Agostino Sarubbo
2022-06-26  8:46 Agostino Sarubbo
2022-06-08  7:15 Miroslav Šulc
2022-05-26  4:57 Miroslav Šulc
2022-02-14 18:17 Miroslav Šulc
2022-02-14 11:42 Jakov Smolić
2022-02-14 11:04 Jakov Smolić
2022-01-23 10:07 Miroslav Šulc
2022-01-22 18:59 Sam James
2022-01-22 10:03 Jakov Smolić
2022-01-14  9:01 Miroslav Šulc
2022-01-12  9:43 Miroslav Šulc
2021-12-22 23:05 Sam James
2021-12-22  9:17 Miroslav Šulc
2021-12-17  6:37 Miroslav Šulc
2021-11-09  8:00 Miroslav Šulc
2021-11-09  5:34 Sam James
2021-11-08 19:32 Sam James
2021-10-08  8:01 Miroslav Šulc
2021-09-28 21:24 Miroslav Šulc
2021-09-28 21:16 Sam James
2021-09-28 21:16 Sam James
2021-08-28 17:49 Louis Sautier
2021-06-12  9:48 Miroslav Šulc
2021-06-12  1:18 Sam James
2021-06-12  1:18 Sam James
2021-05-12  6:33 Miroslav Šulc
2021-04-30 14:05 Miroslav Šulc
2020-10-09 12:00 Miroslav Šulc
2020-09-24  6:59 Agostino Sarubbo
2020-09-05  6:56 Miroslav Šulc
2020-08-30  8:05 Miroslav Šulc
2020-08-26 14:23 Miroslav Šulc
2020-08-23 16:19 Miroslav Šulc
2020-08-23 16:05 Miroslav Šulc
2020-08-23 15:50 Miroslav Šulc
2020-08-23 15:50 Miroslav Šulc
2020-07-24 11:54 Sam James
2019-12-05  7:54 Pacho Ramos
2019-11-20 13:23 Agostino Sarubbo
2019-11-20 11:16 Agostino Sarubbo
2019-08-06 14:05 Pacho Ramos
2019-02-14 18:37 Andreas Sturmlechner
2019-01-17 21:23 Mikle Kolyada
2019-01-09  1:36 Thomas Deutschmann
2018-12-13 10:19 Andreas Sturmlechner
2018-10-01 18:13 Andreas Sturmlechner
2018-09-28 11:45 Mikle Kolyada
2018-05-14  1:36 Andreas Sturmlechner
2018-05-13 23:41 Aaron Bauman
2018-05-13 22:06 Thomas Deutschmann
2018-04-03 21:44 Andreas Sturmlechner
2018-04-03 21:44 Andreas Sturmlechner
2018-03-30 19:09 Andreas Sturmlechner
2018-03-22 13:14 Andreas Sturmlechner
2018-03-22 12:46 Andreas Sturmlechner
2018-03-17  7:01 Matt Turner
2018-03-07  0:58 Andreas Sturmlechner
2018-02-27 21:42 Andreas Sturmlechner
2017-11-24  0:55 Andreas Sturmlechner
2017-10-30  1:11 Manuel Rüger
2017-10-23 19:51 Thomas Deutschmann
2017-06-03 21:11 David Seifert
2017-05-25 16:50 Alexis Ballier
2017-04-17  7:26 Andreas Sturmlechner
2017-01-04 15:29 Agostino Sarubbo
2016-12-20 14:04 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1584027352.d77a4128aed718b38fcbbe0e8797577d327d646a.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox